Bug 552580 - Review Request: xml-stylebook - Apache XML Stylebook
Summary: Review Request: xml-stylebook - Apache XML Stylebook
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-05 15:07 UTC by Mat Booth
Modified: 2010-01-14 18:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 18:57:07 UTC
akurtako: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mat Booth 2010-01-05 15:07:31 UTC
Should be an easy one, this:

Spec URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook-1.0-0.2.b3_xalan2.svn313293.fc12.noarch.rpm
Description:
Apache XML Stylebook is a HTML documentation generator.

Comment 1 Alexander Kurtakov 2010-01-06 09:32:11 UTC
Mat, 
Please upload a src.rpm for the review

Comment 2 Mat Booth 2010-01-06 21:17:26 UTC
What kind of idiot uploads the wrong package?

Terribly sorry, try this one:

Spec URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook.spec
SPRM URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook-1.0-0.2.b3_xalan2.svn313293.fc12.src.rpm

Comment 3 Alexander Kurtakov 2010-01-09 09:55:33 UTC
First thing: There is no javadoc package. For me this is a strict requirement for every java library

Comment 4 Mat Booth 2010-01-11 22:24:39 UTC
I added a javadoc package and now also build the examples.

Spec URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook.spec
SPRM URL: xml-stylebook-1.0-0.3.b3_xalan2.svn313293.fc12.src.rpm

A scratch build then revealed another problem:

I've also added a build dep on a font package so that when I run stylebook to generate the examples, it functions correctly in headless mode without throwing a "java.lang.Error: Probable fatal error:No fonts found" exception. Going by bugs #478480 and #521523, I guess the JDK is probably missing a dependency.

Comment 5 Mat Booth 2010-01-11 22:27:09 UTC
Oh my word, I screwed up the link again, sorry:

Spec URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/xml-stylebook-1.0-0.3.b3_xalan2.svn313293.fc12.src.rpm

Comment 6 Alexander Kurtakov 2010-01-12 09:08:19 UTC
Review:
OK: rpmlint must be run on every package. The output should be posted in the review. One thing only:
 xml-stylebook-demo.noarch: W: no-documentation
It is ok for me.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. Instruction for generating the tarball are provided.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. Javadoc subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.


This package is APPROVED.

Comment 7 Mat Booth 2010-01-12 09:36:40 UTC
Thank you Alex.


New Package CVS Request
=======================
Package Name: xml-stylebook
Short Description: Apache XML Stylebook
Owners: mbooth
Branches: F-12

Comment 8 Jason Tibbitts 2010-01-13 03:11:49 UTC
CVS done (by process-cvs-requests.py)

Comment 9 Mat Booth 2010-01-14 18:57:07 UTC
Built successfully for Rawhide, closing.


Note You need to log in before you can comment on or make changes to this bug.